function [x,k] = Jacobi(A,b,x0,TOL,Mit)

[m,n]= size(A);

% test na ODD
for i=1:n
    if (2.*abs(A(i,i)) <= sum(abs(A(i,:))))
        disp('Metoda nekonverguje');
        break;
    end
end

x_new=x0;
x_old=x0;
res=b-A*x_new;
k=0;

while ((norm(res) >= TOL) && (k < Mit))
    k=k+1;
    x_old=x_new;
    for i=1:n
        suma1=0; suma2=0;
        for j=1:i-1
            suma1= suma1 + A(i,j).*x_old(j);
        end
        for j=i+1:n
            suma2= suma2 + A(i,j).*x_old(j);
        end
        x_new(i) = (b(i) - suma1 - suma2)./A(i,i); 
    end
    res=b-A*x_new;
end
x=x_new;
end